C500-510 C500 Series Viewers
=============

This project builds an installer containing:
* Rinstrum C520/C530 Viewer
* Rinstrum C510 Viewer

This project can now be built outside of the Delphi IDE using the makefile.
So you should do your development in the Delphi IDE, and then use the makefile/Eclipse project to do the final build
which will re-compile all the executables and build the installers.

The versioning is done via the Makefile. Set the version in the makefile and it will propagate through the executables 
and installers.

Do not enable the version info in the Delphi IDE (Project->Options->Version Info tab). The versioning is now done using
separate RC files that get edited by the makefile (version_*.rc).

## The libraries: ##

These are included as git subtrees.

```
  git subtree add --squash -P lib/codesigning git@chef.rinstrumau.local:dane/codesigning.git master
```

To update a library subtree from chef:

```
  git subtree pull --squash -P lib/codesigning git@chef.rinstrumau.local:dane/codesigning.git master
```

When committing changes, commit separately to the library, so a commit doesn't contain
some library changes and some app changes. After making changes and committing push back using:

```
  git subtree push -P lib/codesigning git@chef.rinstrumau.local:dane/codesigning.git master
```
