program C500Viewer;

{$R 'version.res' 'version.rc'}
{$R 'icon.res' 'icon.rc'}

uses
  Forms,
  main in 'main.pas' {FrmMain},
  comdialog in 'comdialog.pas' {FrmComDialog},
  logdialog in 'logdialog.pas' {FrmLogDialog},
  database in 'database.pas',
  trafficdlg in 'trafficdlg.pas' {FrmTraffic},
  tools in 'tools.pas',
  about in 'about.pas' {frmAbout},
  ChartSetup in 'ChartSetup.pas' {FrmChartSetup},
  passcode in 'passcode.pas' {FrmPasscode},
  IOIfaceConfigure in 'IOIfaceConfigure.pas',
  IOIface in 'IOIface.pas',
  dmViewer in 'dmViewer.pas' {datViewer: TDataModule},
  NetDevices in 'NetDevices.pas' {frmNetworkDevices},
  MSXML2_TLB in 'MSXML2_TLB.pas',
  CEVersionInfo in 'CEVersionInfo.pas',
  kenMimicDisp in 'kenmimicdisp.pas',
  kenbitmap2 in 'kenbitmap2.pas',
  kenButton2 in 'kenButton2.pas',
  kenlcd2 in 'kenlcd2.pas',
  kenMimic2 in 'kenMimic2.pas',
  logging in 'logging.pas',
  option in 'option.pas' {frmOptions},
  RinNMUDP in 'RinNMUDP.pas',
  loginfo in 'loginfo.pas',
  indicator_model in 'indicator_model.pas';

begin
  Application.Initialize;
  Application.Title := 'Rinstrum C500 Viewer';
  Application.CreateForm(TdatViewer, datViewer);
  Application.CreateForm(TFrmMain, FrmMain);
  Application.CreateForm(TFrmLogDialog, FrmLogDialog);
  Application.CreateForm(TFrmTraffic, FrmTraffic);
  Application.CreateForm(TfrmAbout, frmAbout);
  Application.CreateForm(TFrmChartSetup, FrmChartSetup);
  Application.CreateForm(TFrmPasscode, FrmPasscode);
  Application.Run;
end.
