unit about;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, CEVersionInfo;

type
  TfrmAbout = class(TForm)
    lblDescription: TLabel;
    Button1: TButton;
    lblVersion: TLabel;
    lblCopyright: TLabel;
    ImageAbout: TImage;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmAbout: TfrmAbout;

implementation

{$R *.DFM}

procedure TfrmAbout.FormCreate(Sender: TObject);
var
  CEVersionInfo: TCEVersionInfo;
begin
  CEVersionInfo := TCEVersionInfo.Create(nil);
  try
    CEVersionInfo.GetInfo(Application.ExeName);

    Self.Caption := 'About ' + CEVersionInfo.FileDescription;
    lblDescription.Caption := CEVersionInfo.FileDescription;
    lblVersion.Caption := 'Version: ' + CEVersionInfo.MajorVersion + '.' + CEVersionInfo.MinorVersion + '.' + CEVersionInfo.Release;
    lblCopyright.Caption := CEVersionInfo.LegalCopyright;
  finally
    CEVersionInfo.Free;
  end;

  Self.Icon := Application.Icon;
  ImageAbout.Picture.Icon := Application.Icon;
end;

end.
