unit AbsCal;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, dmViewer;

type
  TFrmAbsCal = class(TForm)
    EdtAbsMV: TEdit;
    lblAbsPrompt: TLabel;
    BtnOk: TButton;
    BtnCancel: TButton;
    Label1: TLabel;
    procedure EdtAbsMVExit(Sender: TObject);
    procedure EdtAbsMVKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FrmAbsCal: TFrmAbsCal;

implementation

{$R *.DFM}

uses
  tools;
  

procedure TFrmAbsCal.EdtAbsMVExit(Sender: TObject);
var tmp: integer;
  Edit : TEdit;
begin
  if Sender is TEdit then
  begin
    Edit := Sender as TEdit;
    Edit.Text := fmt_num(Edit.Text, 4, datViewer.DecimalPointChar);
    tmp := my_strtoint(Edit.Text);
    if ((tmp < -30000) or (tmp > 30000)) then
    begin
      MessageDlg(Format('Out of Range: (%s to %s)',
                        [fmt_int(-30000, 4, datViewer.DecimalPointChar),
                         fmt_int(30000, 4, datViewer.DecimalPointChar)]),
                 mtError, [mbOK], 0);
      SetFocus;
    end;
  end;
end;

procedure TFrmAbsCal.EdtAbsMVKeyPress(Sender: TObject; var Key: Char);
begin
  case key of
      ' ','+','-','.',',':;
      #13: begin
               with sender as Tedit do
                  text := fmt_num(text, 4, datViewer.DecimalPointChar);
               key := #0;
             end
      else
        if ((ord(key) >= ord(' ')) and (ord(key) < ord('0'))) or (ord(key) > ord('9')) then key := #0;
     end;
end;

end.
